package cn.com.ctop.kuaishou.modules.report.service;


import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportAccountHourly;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.text.ParseException;

/**
 * @Description: 账户维度-每小时盯盘数据
 * @Author: jeecg-boot
 * @Date: 2021-03-04
 * @Version: V1.0
 */
public interface IEtlKuaishouReportAccountHourlyService extends IService<EtlKuaishouReportAccountHourly> {

    void queryEveryhourlyDataForAccount();

    Result<Object> getAggregateByHour(JSONObject request) throws ParseException;

    Result<Object> getEtlReportList(JSONObject request);

    Result<Object> getMaxChargeAccountId(Long accountId);

    Result<Object> getMaxChargeAccountIdByUser(String userId);

    Result<Object> queryPersonalAchievements(String userId);

    Result<Object> checkRole(String userId);

    Result<Object> accountPageList(JSONObject request) throws Exception;

    Result<Object> queryNewlyData(JSONObject request);

    Result<Object> operatingStaffDataList(JSONObject request);

    Result<Object> projectList(JSONObject request) throws Exception;

    Result<Object> leaderAccountPageList(JSONObject request) throws Exception;

    void updateYesterdayEtlHourlyData();
}
